
#import <appkit/appkit.h>

@interface RulePanel:View {

	id		ascru;
	id		toascru;
	id		pSliders;
	id		pWindows;
	id		ruleBox;
	id		ruleNumber;
	id		totlRef;
	id		sIncr;
	id		tiDat;
	id		wrule;

/* Rule Panel  - - - - - - - - - - - - - - - - - - - - - - - - - */

	id		infoPanel;
	id		mainWindow;
	id		menuCopy;
	id		menuPrint;
	id		nowBox;
	id		nowSpesh;
	id		speshPanel;
	id		probView;

	id		gfWindow;

	id		stRuleNumber;
	id		stWindow;

	id		toBox;
	id		toFullNumber;
	id		toRuleNumber;
	id		toWindow;

	id		designPrm;
	id		designRef;
	id		zeZeZe;

/* - - - - - - - -   arithmetic box    - - - - - - - - - - */

	id		arithmRuleBox;
	id		twoRules;

	id		hexLatBox;
	id		golru;
	id		gn0;
	id		gn1;
	id		gn2;

	id		browser;

/* - - - - -  special rule box management - - - - - - - - */

	id		specBigBox;
	id		specLilBox;
	id		equivRuleBox;
	id		aritmRuleBox;

	id		changeLine;

/* - - - - - - - - -  REC line configuration - - - - - - - - */

	id 		RECLine;
	id		RECValue;
	id		RECPanel;

/* - - - - - - - - -  composite rule  - - - - - - - - - - - */

	id		composRuleBox;
	id		composRuleNumb;

}

- freeAllRules:sender;
- ranRules:sender;
- ranPRules:sender;
- relatedRule:sender;
- readTRule:sender;
- readWRule:sender;
- protectGenRule:sender;
- setAllRules:sender;
- setDemo:sender;
- setDimension:sender;
- setRule:sender;
- showProbability:sender;
- symRule:sender;
- rCellLine:sender;
- uCellLine:sender;
- zeroRules:sender; 

- randomLine:sender;
- sCellLine:sender;
- uniformLine:sender;

- enterGF2Rule:sender; 
- setMCoeff:sender;
- setSCoeff:sender;
- setVCoeff:sender;

- enterHexRule:sender;

- enterSemiRule:sender;
- setSemiState:sender;

- enterTotalisticRule:sender;
- freeAllTotRules:sender;
- protectTotRule:sender;
- ranTotRules:sender;
- ranPTotRules:sender;
- setTotRule:sender;
- setTotRules:sender;
- zeroTotRules:sender; 

- xenophilic:sender;
- xenophobic:sender;

- clearDesign:sender;
- copyToDesign:sender;
- deZign:sender;
- enterDesign:sender;
 
/*  - - - - - - - -   arithmRuleBox   - - - - - - - - */

- arithmCombs:sender;
- initTwoRules:sender;

/*                 special rule box management        */

- loadSpecialRule:sender;
- loadLowerPanel:thisRuleBox;

/* - - - - - - -  REC line configuration  - - - - - - - - */

- useRECLine:sender;
- runRECLine:sender;

/* - - - - - - - - -  composite rule  - - - - - - - - - - */

- composRule:sender;
- compxRule:sender;
- comprRule:sender;

- lifeRule:sender;

@end 

/* end RulePanel.h */ 
